Method: projects.locations.clusters.tokenAuthUsers.addAuthToken

Adds a auth token for a user of a token based auth enabled cluster.

HTTP request

POST https://redis.googleapis.com/v1beta1/{tokenAuthUser=projects/*/locations/*/clusters/*/tokenAuthUsers/*}:addAuthToken

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
tokenAuthUser

string

Required. The name of the token auth user resource that this auth token will be added for. Format: projects/{project}/locations/{location}/clusters/{cluster}/tokenAuthUsers/{tokenAuthUser}

Request body

The request body contains data with the following structure:

JSON representation
{
  "authToken": {
    object (AuthToken)
  }
}
Fields
authToken

object (AuthToken)

Required. The auth token to add.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

For more information, see the Authentication Overview.